import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The AWS::Elasticsearch::Domain resource creates an Amazon OpenSearch Service domain.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticsearch-domain.html">the AWS Docs</a>
*/
export function domain(domainProps = {}) {
    return new AwsResource('AWS::Elasticsearch::Domain', domainProps, { Arn: 'Arn', DomainArn: 'DomainArn', DomainEndpoint: 'DomainEndpoint' });
}
